summaryrefslogtreecommitdiff
path: root/scripts/apache/aphtaccess-conv.sh
diff options
context:
space:
mode:
authorLorry Tar Creator <lorry-tar-importer@baserock.org>2013-03-14 05:42:27 +0000
committer <>2013-04-03 16:25:08 +0000
commitc4dd7a1a684490673e25aaf4fabec5df138854c4 (patch)
tree4d57c44caae4480efff02b90b9be86f44bf25409 /scripts/apache/aphtaccess-conv.sh
downloadphp2-master.tar.gz
Imported from /home/lorry/working-area/delta_php2/php-5.4.13.tar.bz2.HEADphp-5.4.13master
Diffstat (limited to 'scripts/apache/aphtaccess-conv.sh')
-rwxr-xr-xscripts/apache/aphtaccess-conv.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/apache/aphtaccess-conv.sh b/scripts/apache/aphtaccess-conv.sh
new file mode 100755
index 0000000..1af59d2
--- /dev/null
+++ b/scripts/apache/aphtaccess-conv.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ "$1" = "" ]; then
+ echo "Usage: $0 /somewhere/.htaccess"
+ exit 1
+fi
+
+if [ ! -w $1 ]; then
+ echo "You cannot write to $1"
+ exit 1
+fi
+
+TMPFILE=tmpfile.$$
+
+awk -f htaccessfix.awk <$1 >$TMPFILE
+
+if [ "$?" != 0 ]; then
+ exit 1
+fi
+
+mv -f $1 $1.orig
+mv -f $TMPFILE $1
+exit 0
+